Name:           perl-Socket-Netlink-Route
Version:        0.05
Release:        5%{?dist}
Summary:        Interface to Linux's NETLINK_ROUTE netlink socket protocol
License:        GPL+ or Artistic

URL:            http://search.cpan.org/dist/Socket-Netlink-Route/
Source0:        http://www.cpan.org/authors/id/P/PE/PEVANS/Socket-Netlink-Route-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  perl(ExtUtils::CChecker)
BuildRequires:  perl(ExtUtils::H2PM) >= 0.07
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(Socket::Netlink) >= 0.04
BuildRequires:  perl(Test::More)

Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Requires:       perl(Socket::Netlink) >= 0.03

## Filter unneeded Provides with RPM 4.8
%{?filter_setup:
%filter_from_provides /^perl(Socket::Netlink::Route)$/d
}
%{?perl_default_filter}
## Filter unneeded Provides with RPM 4.9
%global __provides_exclude %{?__provides_exclude:__provides_exclude|}^perl\\(Socket::Netlink::Route\\)$

# For some reason rpmbuild picks this one up as a 'Requires', but not as
# a 'Provides'. Adding it manually or the package fails to install
Provides:       perl(Socket::Netlink::Route_const) == %{version}


%description
This module contains the low-level constants and structure handling
functions required to use the NETLINK_ROUTE protocol of Linux's PF_NETLINK
socket family. It is suggested to use the high-level object interface to
this protocol instead; see IO::Socket::Netlink::Route.


%prep
%setup -q -n Socket-Netlink-Route-%{version}


%build
%{__perl} Build.PL installdirs=vendor
./Build


%install
./Build install destdir=%{buildroot} create_packlist=0
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} %{buildroot}/*


%check
./Build test


%files
%doc Changes examples LICENSE README
%{perl_vendorlib}/IO
%{perl_vendorlib}/Socket
%{_mandir}/man3/*Socket::Netlink::Route*


%changelog
* Fri Aug 29 2014 Jitka Plesnikova <jplesnik@redhat.com> - 0.05-5
- Perl 5.20 rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.05-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.05-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Jul 25 2013 Petr Pisar <ppisar@redhat.com> - 0.05-2
- Perl 5.18 rebuild

* Thu Mar 21 2013 Mathieu Bridon <bochecha@fedoraproject.org> - 0.05-1
- New upstream release.

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.03-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.03-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jun 14 2012 Petr Pisar <ppisar@redhat.com> - 0.03-5
- Perl 5.16 rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.03-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Sep 19 2011 Mathieu Bridon <bochecha@fedoraproject.org> - 0.03-3
- Fixes based on Remi's review.

* Fri Sep 16 2011 Mathieu Bridon <bochecha@fedoraproject.org> - 0.03-2
- Fixed dubious Provides filtering for RPM 4.8, it was filtering out too much
  and made the package uninstallable.

* Mon Sep 12 2011 Mathieu Bridon <bochecha@fedoraproject.org> - 0.03-1
- Specfile autogenerated by cpanspec 1.78.
- Added explicit Provides that rpmbuild doesn't pick up for some reason.
- Filtered out a dubious Provides.
